<template>
    <v-app>
        <v-app-bar app color="primary" dark>
            <span>Ribomation: Java Course REST Demo</span>
            <v-spacer></v-spacer>
            <v-btn text to="/home">Home</v-btn>
            <v-btn text to="/person-list">List of Persons</v-btn>
            <v-btn text to="/person-view/any">Single Person</v-btn>
        </v-app-bar>
        <v-main>
            <router-view></router-view>
        </v-main>
    </v-app>
</template>

<script>
    export default {
        name: 'App',
    };
</script>

<style lang="scss">
    .v-main__wrap {
        padding: 2em;
    }
</style>
